Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::addon::pageeditor::JoinSplit Class Reference
Inheritance diagram for foxit::addon::pageeditor::JoinSplit:

## Public Types
enum | JoinSplitOperationType { e_JoinSplitOperationTypeJoin = 0, e_JoinSplitOperationTypeSpilt = 1, e_JoinSplitOperationTypeLink = 2, e_JoinSplitOperationTypeUnlink = 3, e_JoinSplitOperationTypeSelectNone = 4, e_JoinSplitOperationTypeClose = 5 }
| Enumeration for join spilt operation type. More...

## Public Member Functions
| JoinSplit (const JoinSplit &other)
| Constructor, with another join split object. More...
| ~JoinSplit ()
| Destructor.
bool | Activate ()
| Activate join split editing. More...
bool | Deactivate ()
| Deactivate join split editing. More...
void | ExitJoinEditing ()
| Exit join split editing. More...
bool | GetEnableStatus (JoinSplit::JoinSplitOperationType type)
| Get join split editing operation state. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
void | JoinBoxes ()
| Call this function to join text. More...
void | LinkBoxes ()
| Call this function to link text. More...
bool | OnLButtonDown (int page_index, const PointF &point)
| Call this function when left mouse button is down. More...
bool | OnLButtonUp (int page_index, const PointF &point)
| Call this function when left mouse button is up. More...
bool | OnMouseMove (int page_index, const PointF &point)
| Call this function when mouse moves. More...
bool | operator!= (const JoinSplit &other) const
| Not equal operator. More...
JoinSplit & | operator= (const JoinSplit &other)
| Assign operator. More...
bool | operator== (const JoinSplit &other) const
| Equal operator. More...
bool | Render (Int32Array page_index_array, const common::Renderer &renderer)
| Draw the currently join split operation state on the rendering. More...
void | SelectNone ()
| Call this function to clear all selected text. More...
void | SplitBoxes ()
| Call this function to split text. More...
void | UnlinkBoxes ()
| Call this function to unlink text. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents a join split operation. Before use join split feature, ensure the function JoinSplit::Activate has been called successfully. Please call the function JoinSplit::Deactivate to deactivate when no need to use any join split function.

## Member Enumeration Documentation

## ◆ JoinSplitOperationType

enum foxit::addon::pageeditor::JoinSplit::JoinSplitOperationType

Enumeration for join spilt operation type.

Values of this enumeration should be used alone.

Enumerator
e_JoinSplitOperationTypeJoin | Join spilt operation type: Join.
e_JoinSplitOperationTypeSpilt | Join spilt operation type: Spilt.
e_JoinSplitOperationTypeLink | Join spilt operation type: Link.
e_JoinSplitOperationTypeUnlink | Join spilt operation type: Unlink.
e_JoinSplitOperationTypeSelectNone | Join spilt operation type: SelectNone.
e_JoinSplitOperationTypeClose | Join spilt operation type: Close.

## Constructor & Destructor Documentation

## ◆ JoinSplit()

foxit::addon::pageeditor::JoinSplit::JoinSplit | ( | const JoinSplit & | other | ) |

Constructor, with another join split object.

Parameters

  [in] | other | Another join split object.

## Member Function Documentation

## ◆ Activate()

bool foxit::addon::pageeditor::JoinSplit::Activate | ( |  | ) |

Activate join split editing.

Returns
  true means success, while false means failure.

## ◆ Deactivate()

bool foxit::addon::pageeditor::JoinSplit::Deactivate | ( |  | ) |

Deactivate join split editing.

Returns
  true means success, while false means failure.

## ◆ ExitJoinEditing()

void foxit::addon::pageeditor::JoinSplit::ExitJoinEditing | ( |  | ) |

Exit join split editing.

Returns
  None.

## ◆ GetEnableStatus()

bool foxit::addon::pageeditor::JoinSplit::GetEnableStatus | ( | JoinSplit::JoinSplitOperationType | type | ) |

Get join split editing operation state.

Returns
  true means enabled, while false means not.

## ◆ IsEmpty()

bool foxit::addon::pageeditor::JoinSplit::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ JoinBoxes()

void foxit::addon::pageeditor::JoinSplit::JoinBoxes | ( |  | ) |

Call this function to join text.

Returns
  None.

## ◆ LinkBoxes()

void foxit::addon::pageeditor::JoinSplit::LinkBoxes | ( |  | ) |

Call this function to link text.

Returns
  None.

## ◆ OnLButtonDown()

bool foxit::addon::pageeditor::JoinSplit::OnLButtonDown | ( | int | page_index,
|  | const PointF & | point
| ) |  |

Call this function when left mouse button is down.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is down in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ OnLButtonUp()

bool foxit::addon::pageeditor::JoinSplit::OnLButtonUp | ( | int | page_index,
|  | const PointF & | point
| ) |  |

Call this function when left mouse button is up.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where left mouse button is up in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ OnMouseMove()

bool foxit::addon::pageeditor::JoinSplit::OnMouseMove | ( | int | page_index,
|  | const PointF & | point
| ) |  |

Call this function when mouse moves.

Parameters

  [in] | page_index | The page index.
  [in] | point | A point where mouse moves in the page, in device coordinate system.

Returns
  true means success, while false means failure.

## ◆ operator!=()

bool foxit::addon::pageeditor::JoinSplit::operator!= | ( | const JoinSplit & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another join split object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

JoinSplit& foxit::addon::pageeditor::JoinSplit::operator= | ( | const JoinSplit & | other | ) |

Assign operator.

Parameters

  [in] | other | Another join split object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::pageeditor::JoinSplit::operator== | ( | const JoinSplit & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another join split object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Render()

bool foxit::addon::pageeditor::JoinSplit::Render | ( | Int32Array | page_index_array,
|  | const common::Renderer & | renderer
| ) |  |

Draw the currently join split operation state on the rendering.

The matrix used in the rendering process is returned by ParagraphEditingProviderCallback::GetRenderMatrix.

Parameters

  [in] | page_index_array | The page index array to render.
  [in] | renderer | A valid renderer object for rendering.

Returns
  true means success, while false means failure.

## ◆ SelectNone()

void foxit::addon::pageeditor::JoinSplit::SelectNone | ( |  | ) |

Call this function to clear all selected text.

Returns
  None.

## ◆ SplitBoxes()

void foxit::addon::pageeditor::JoinSplit::SplitBoxes | ( |  | ) |

Call this function to split text.

Returns
  None.

## ◆ UnlinkBoxes()

void foxit::addon::pageeditor::JoinSplit::UnlinkBoxes | ( |  | ) |

Call this function to unlink text.

Returns
  None.